# Contributing to Discord-Together
We love your input! We want to make contributing to this project as easy and transparent as possible, whether it's:

- Reporting a bug
- Discussing the current state of the code
- Submitting a fix
- Proposing new features
- Becoming a maintainer

We use github to host code, to track issues and feature requests, as well as accept pull requests.

## How to submit a pull request

1. Fork the repo and create your branch from `master`.
2. If you've added code that should be tested, add tests.
3. If you've changed APIs, update the documentation.
4. Ensure the test suite passes.
5. Make sure your code lints.
6. Issue that pull request!

## Any contributions you make will be under the Apache 2.0  License
In short, when you submit code changes, your submissions are understood to be under the same [MIT License](https://opensource.org/licenses/MIT) that covers the project. Feel free to contact the maintainers if that's a concern.

## Report bugs using Github's [issues](https://github.com/RemyK888/discord-together/issues)
We use GitHub issues to track public bugs. Report a bug by [opening a new issue](https://github.com/RemyK888/discord-together/issues/new); it's that easy!

## Write bug reports with detail, background, and sample code

Great bug reports tend to have:

- A quick summary and/or background
- Steps to reproduce
  - Be specific!
  - Give sample code if you can. Includes sample code that *anyone* can run to reproduce what you were seeing
- What you expected would happen
- What actually happens
- Notes (possibly including why you think this might be happening, or stuff you tried that didn't work)

People *love* thorough bug reports. I'm not even kidding.

## License
By contributing, you agree that your contributions will be licensed under its Apache 2.0 License.

*Note: this file is inspired by [briandk](https://gist.github.com/briandk)'s [contributing guide template](https://gist.github.com/briandk/3d2e8b3ec8daf5a27a62), thanks to him !*
